//
//  xmlTestViewController.m
//  xmlTest
//
//  Created by Mori Yoshinao on 11/04/05.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "xmlTestViewController.h"

@implementation xmlTestViewController

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
	
	// 텍스트 뷰를 초기화하고, 편집 불가 모드로 설정합니다.
	myTextView.text = @"";
	myTextView.editable = NO;
	
	// URL을 지정해서 XML 파서를 만듭니다.
	NSURL *myURL = [NSURL URLWithString:@"http://www.ymori.com/itest/test.xml"];
	NSXMLParser *myParser = [[NSXMLParser alloc] initWithContentsOfURL:myURL];
	myParser.delegate = self;
	// 해석을 시작합니다.
	[myParser parse];
}

- (void)parserDidStartDocument:(NSXMLParser *)parser {
	// 해석 중인 태그를 초기화합니다
	nowTagStr = [NSString stringWithString:@""];
}
- (void)parser:(NSXMLParser *)parser
didStartElement:(NSString *)elementName
  namespaceURI:(NSString *)namespaceURI 
 qualifiedName:(NSString *)qName
	attributes:(NSDictionary *)attributeDict {
	
	// 시작 태그가 "sweets"면
    if ([elementName isEqualToString:@"sweets"]) {
		// 해석 중인 태그를 설정합니다.
		nowTagStr = [NSString stringWithString:elementName];
		// 텍스트 버퍼 초기화
		txtBuffer = [NSString stringWithString:@""];
		
		// 텍스트 뷰에 태그명과 price 속성을 추가합니다
		myTextView.text = [myTextView.text stringByAppendingFormat:
						   @"태그명=[%@]\n 속성 price=[%@]",
						   elementName, [attributeDict objectForKey:@"price"]];
	}
}
- (void)parser:(NSXMLParser *)parser foundCharacters:(NSString *)string {
	// 해석 중인 태그가 "sweets"면
    if ([nowTagStr isEqualToString:@"sweets"]) {
		// 텍스트 버퍼에 문자열을 추가합니다.
		txtBuffer = [txtBuffer stringByAppendingString:string];
	}
}
- (void)parser:(NSXMLParser *)parser 
 didEndElement:(NSString *)elementName
  namespaceURI:(NSString *)namespaceURI
 qualifiedName:(NSString *)qName {
	
	// 종료 태그가 "sweets"면
    if ([elementName isEqualToString:@"sweets"]) {
		// 텍스트 뷰에 텍스트 버퍼의 문자열을 추가합니다
		myTextView.text = [myTextView.text stringByAppendingFormat:
						   @"\n 요소=[%@]\n\n",txtBuffer];
	}
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
